#ifndef CONSTANTS_H_
#define CONSTANTS_H_

#define DEFAULT_UART_LINUX "/dev/ttyS0"
#define DEFAULT_UART_RPI "/dev/ttyAMA0"
#define DEFAULT_BAUDRATE B115200
#define DEFAULT_RECV_PORT 2000
#define DEFAULT_SEND_PORT 2001
#define DEFAULT_WRITTEN_TIMEOUT_SECS 5
#define DEFAULT_RPI_GPIO_PIN 4
#define DEFAULT_DELIMETER "\\n"

#define UART_READ_TIMEOUT_MS 250
#define UART_READ_BUFFER 256

#define SOCKET_INITIAL_BUFFER 4096
#define SOCKET_LOOP_PAUSE_MS 250


#endif /* CONSTANTS_H_ */
