#ifndef CTSTASK_H_
#define CTSTASK_H_

#include "Configuration.h"

typedef struct tCtsState
{
	int ioctlFd;
	int gpioFd;
	void (*pfnMain)(void);
	Configuration * config;
} CtsState;

// Task specific methods
bool CtsTaskInit(void * p);
void* CtsTaskRun(void * p);
bool CtsTaskShutdown();

#endif /* CTSTASK_H_ */
