#ifndef MESSAGES_H_
#define MESSAGES_H_

#include "NeoParser.h"

typedef struct tReplyMsg
{
	const char * status;
	const char * content;
} ReplyMsg;

typedef struct tSendMsg
{
	NcApiMessageType msgType;
	uint16_t destNodeId;
	uint8_t destPort;
	uint8_t * payload;
	uint8_t payloadLength;
} SendMsg;


#endif /* MESSAGES_H_ */
