#ifndef RECVTASK_H_
#define RECVTASK_H_

#include "NcApi.h"

#ifdef __cplusplus
extern "C"
{
#endif

// Task specific methods
bool RecvTaskInit(void * p);
void* RecvTaskRun(void * p);
bool RecvTaskShutdown();

// NcApi specific methods
void UartReadCallback(uint8_t n, uint8_t * msg, uint8_t msgLength);
void UartHostAckCallback(uint8_t n, tNcApiHostAck * p);
void UartHostNAckCallback(uint8_t n, tNcApiHostAck * p);
void UartHostDataCallback(uint8_t n, tNcApiHostData * p);
void UartHostDataHapaCallback(uint8_t n, tNcApiHostDataHapa * p);
void UartWesRequestCallback(uint8_t n, tNcApiWesRequest * p);
void UartWesStatusCallback(uint8_t n, tNcApiWesStatus * p);

#ifdef __cplusplus
}
#endif

#endif /* RECVTASK_H_ */
